Skip to main content
`Ctrl`+`K`

# is_attracting_component

is_attracting_component(G)

  Returns True if `G` consists of a single attracting component.

  Parameters:
    G DiGraph, MultiDiGraph

      The graph to be analyzed.

  Returns:
    attracting bool

      True if `G` has a single attracting component. Otherwise, False.

  Raises:
    NetworkXNotImplemented

      If the input graph is undirected.

  See also

  `attracting_components`
  `number_attracting_components`